#include<bits/stdc++.h>
using namespace std;
int main(){
    int n;
    cin>>n;
    int x[n+1];
    int y[n+1];
    int z[n+1];
    for(int i=1;i<=n;i++){
        cin>>x[i];
    }
    for(int i=1;i<=n;i++){
        cin>>y[i];
    }
    for(int i=1;i<=n;i++){
        cin>>z[i];
    }
    int a[n+1];
    for(int i=1;i<=n;i++){
        a[i]=y[z[i]];
    }
    sort(a,a+(n+1));
    sort(x,x+(n+1));
    bool da_li=true;
    for(int i=1;i<n;i++){
        if(z[i]!=z[i+1]) da_li=false;
    }
    if(da_li==true){
        int br=0;
        for(int i=1;i<=n;i++){
            if(x[i]==z[1]){
                br++;
            }
        }
        cout<<br*n;
    }
}